View Issue Details

IDProjectCategoryView StatusLast Update
0001302Main CAcert Websitemiscpublic2015-01-20 21:06
ReporterINOPIAE Assigned ToBenBE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status needs reviewResolutionopen 
Product Version2014 Q3 
Target Version2014 Q4 
Summary0001302: Remove the form to send a mail to the support mailing list
DescriptionAs there are a few incidents where people send sensitive data to the support mailing list, the form should be replaced by a link to the support mailing list.
TagsNo tags attached.
Reviewed byBenBE
Test InstructionsGo to the Welcome-Page. Check if there is a link or a button to the support-mailinglist. Check the same for "contact-us" and when logged in.

Activities

INOPIAE

2014-09-09 08:45

updater   ~0004996

I pushed the fix to https://github.com/INOPIAE/CAcert/tree/bug-1302

Eva

2014-09-09 20:19

updater   ~0004997

Without being logged in I went to the help-page. There was a link to the support mailing-list (above the formu for writing mails) and a formular to send a mail. There was no button to send the form to the public-support-mailing list.
-> ok

When logged in I used the link "contact us". There was the same kind of form but with the buttom to send mails to the public support mailing list.
-> fail


I would also propose to put the link to the public support mailing list after the form, but this is not required by the bug.

BenBE

2014-09-09 22:19

updater   ~0005000

Patch updated on testserver. Please review and test.

janmaco

2014-11-18 09:02

updater   ~0005107

Last edited: 2014-11-18 09:03

View 2 revisions

I visited the "Contact us" page without being logged in:
A link to the public mailing list is available, there is no button to send the message from the form to the list.
=> OK

 I visited the "Contact us" page being logged in:
A link to the public mailing list is available, there is no button to send the message from the form to the list.
=> OK

Eva

2014-11-25 20:35

updater   ~0005127

I visited the "Contact us" page with and without being looged in. Both were ok, now.

However the wording could be improved to match the redesigned structure of the page.

=> ok (but could be improved)

Eva

2014-12-23 20:26

updater   ~0005195

I visited the "Contact us" page with and without being logged in, again. Both are ok an the wording is imrpoved.

=> ok

reinhardm

2015-01-14 12:49

updater   ~0005238

I visited the welcome page and clicked the "Kontakt" button.
I filled the form and pressed the send button. There is no button to send directly to any mailinglist.
OK

After login i performed the same procedure.
OK

Issue History

Date Modified Username Field Change
2014-09-02 20:50 INOPIAE New Issue
2014-09-09 08:44 INOPIAE Assigned To => INOPIAE
2014-09-09 08:45 INOPIAE Note Added: 0004996
2014-09-09 08:45 INOPIAE Assigned To INOPIAE => BenBE
2014-09-09 08:45 INOPIAE Status new => fix available
2014-09-09 20:05 BenBE Source_changeset_attached => cacert-devel testserver-stable 17c191d1
2014-09-09 20:05 BenBE Source_changeset_attached => cacert-devel testserver-stable 6987cf67
2014-09-09 20:05 INOPIAE Source_changeset_attached => cacert-devel testserver-stable 0fa0a5f6
2014-09-09 20:14 Eva Additional Information Updated View Revisions
2014-09-09 20:14 Eva Test Instructions => Go to the Welcome-Page. Check if there is a link or a button to the support-mailinglist. Check the same for "contact-us" and when logged in.
2014-09-09 20:14 Eva Additional Information Updated View Revisions
2014-09-09 20:19 Eva Note Added: 0004997
2014-09-09 20:23 Eva Status fix available => needs work
2014-09-09 22:10 BenBE Source_changeset_attached => cacert-devel testserver-stable c5319deb
2014-09-09 22:10 BenBE Source_changeset_attached => cacert-devel testserver-stable 60b26b96
2014-09-09 22:10 MartinGummi Source_changeset_attached => cacert-devel testserver-stable 2775be00
2014-09-09 22:10 MartinGummi Source_changeset_attached => cacert-devel testserver-stable 01db7934
2014-09-09 22:10 MartinGummi Source_changeset_attached => cacert-devel testserver-stable d0a48980
2014-09-09 22:10 MartinGummi Source_changeset_attached => cacert-devel testserver-stable be2e93a6
2014-09-09 22:17 BenBE Reviewed by => BenBE
2014-09-09 22:17 BenBE Status needs work => needs review & testing
2014-09-09 22:19 BenBE Note Added: 0005000
2014-11-18 09:02 janmaco Note Added: 0005107
2014-11-18 09:03 janmaco Note Edited: 0005107 View Revisions
2014-11-25 20:35 Eva Note Added: 0005127
2014-12-02 21:45 BenBE Source_changeset_attached => cacert-devel testserver-stable 85b43c81
2014-12-02 22:35 BenBE Source_changeset_attached => cacert-devel testserver-stable 9dec201a
2014-12-02 22:35 MartinGummi Source_changeset_attached => cacert-devel testserver-stable ad152951
2014-12-02 22:35 MartinGummi Source_changeset_attached => cacert-devel testserver-stable a42c6971
2014-12-02 22:35 MartinGummi Source_changeset_attached => cacert-devel testserver-stable 32afd244
2014-12-02 22:35 MartinGummi Source_changeset_attached => cacert-devel testserver-stable bc04c98e
2014-12-02 22:35 MartinGummi Source_changeset_attached => cacert-devel testserver-stable a3fcbe6f
2014-12-02 22:35 MartinGummi Source_changeset_attached => cacert-devel testserver-stable 891125e2
2014-12-02 22:50 BenBE Source_changeset_attached => cacert-devel testserver-stable 5ddd497f
2014-12-02 22:50 MartinGummi Source_changeset_attached => cacert-devel testserver-stable e9922fd0
2014-12-23 20:26 Eva Note Added: 0005195
2015-01-14 12:49 reinhardm Note Added: 0005238
2015-01-20 21:06 Eva Status needs review & testing => needs review